Archive

Tag 1.9.2

PirateCraft now compatible between minecraft clients 1.9 – 1.10

I have updated PirateCraft to allow Minecraft clients from 1.9/1.9.1/1.9.2/1.9.3/1.9.4 all the way up to 1.10 to connect, we are still running the server on …

  • Who’s Currently on the website

    Profile picture of iOdiwanKenobi
    Profile picture of GodsDead
    Profile picture of PaulOnFire
    Profile picture of TheGeoKing
    Profile picture of Galaxy
    Profile picture of Viper
  • About Us

    Piratecraft is a pirate themed minecraft server run by Pirates! Yarr! You can play right now IP: mc.piratemc.com You will need a premium minecraft account to play on PirateCraft, you can get a game code from here.